> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete compute profile

> Delete a compute profile and drop its warehouse and query queue. The default profile cannot be deleted. Requires an organization admin's API key.

Delete a [compute profile](/app/query-management/compute-profiles) and drop its warehouse and query queue.

<Note>
  The default profile cannot be deleted. Requires an organization admin's API key.
</Note>


## OpenAPI

````yaml delete /api/v1/explorer/compute-profiles/{identifier}
openapi: 3.0.2
info:
  title: Allium API
  version: 0.1.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/explorer/compute-profiles/{identifier}:
    delete:
      summary: Delete Compute Profile
      description: >-
        Delete a compute profile and drop its warehouse and query queue. The
        default profile cannot be deleted. Requires an organization admin's API
        key.
      operationId: >-
        delete_compute_profile_api_v1_explorer_compute_profiles__identifier__delete
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
            title: Identifier
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````